Currency market snapshot
Price, 24h change, turnover, market cap, supply and ATH snapshot
GET
/openapi/v1/currencies/{currency_id}/market-snapshotRefresh: 30 s
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| currency_id | String | Required | Currency ID |
Request Example
curl "https://openapi.sosovalue.com/openapi/v1/currencies/1673723677362319866/market-snapshot" \ -H "x-soso-api-key: $SOSO_API_KEY"
Response Example
{
"price": 458.0000000000000000,
"change_pct_24h": -0.12,
"turnover_24h": 4381082458.0000000000000000,
"turnover_rate": 0.123,
"high_24h": 208.320000000000000000,
"low_24h": 195.140000000000000000,
"marketcap": 98187284636.4000000000000000,
"fdv": 119634407517.24000000,
"max_supply": "593383314",
"total_supply": "593383314",
"circulating_supply": "487043475",
"ath": 295.830000000000000000,
"ath_date": "1737244800000",
"down_from_ath": "",
"cycle_low": 175.890000000000000000,
"cycle_low_date": "1738540800000",
"up_from_cycle_low": "",
"marketcap_rank": 4
}Response Fields
| Field | Type | Description |
|---|---|---|
| price | BigDecimal | Current price (USD) |
| change_pct_24h | BigDecimal | 24-hour price change percentage |
| turnover_24h | BigDecimal | 24-hour trading volume (USD) |
| turnover_rate | BigDecimal | Turnover rate |
| high_24h | BigDecimal | 24-hour high price |
| low_24h | BigDecimal | 24-hour low price |
| marketcap | BigDecimal | Market capitalization |
| fdv | BigDecimal | Fully diluted valuation (FDV) |
| max_supply | String | Maximum supply; null indicates unlimited |
| total_supply | String | Total supply |
| circulating_supply | String | Circulating supply |
| ath | BigDecimal | All-time high (ATH) |
| ath_date | String | ATH date (timestamp) |
| down_from_ath | String | Percentage declined from ATH |
| cycle_low | BigDecimal | Cycle low price |
| cycle_low_date | String | Cycle low date (timestamp) |
| up_from_cycle_low | String | Percentage recovered from cycle low |
| marketcap_rank | Integer | Market cap rank |